## org.firebirdsql.logging
Class ConsoleLogger

    java.lang.Object
      org.firebirdsql.logging.Logger
          org.firebirdsql.logging.ConsoleLogger

    public class ConsoleLogger

extends Logger

Author:
  Roman Rokytskyy

Constructor Summary
`ConsoleLogger(String name)`

Method Summary
`void` `debug(Object message)`
`void` `debug(Object message, Throwable t)`
`void` `error(Object message)`
`void` `error(Object message, Throwable t)`
`void` `fatal(Object message)`
`void` `fatal(Object message, Throwable t)`
`void` `info(Object message)`
`void` `info(Object message, Throwable t)`
`boolean` `isDebugEnabled()`
`boolean` `isErrorEnabled()`
`boolean` `isFatalEnabled()`
`boolean` `isInfoEnabled()`
`boolean` `isTraceEnabled()`
`boolean` `isWarnEnabled()`
`void` `trace(Object message)`
`void` `trace(Object message, Throwable t)`
`void` `warn(Object message)`
`void` `warn(Object message, Throwable t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleLogger

    public ConsoleLogger(String name)

Method Detail

### isDebugEnabled

    public boolean isDebugEnabled()

  Specified by:
    `isDebugEnabled` in class `Logger`

### debug

    public void debug(Object message)

  Specified by:
    `debug` in class `Logger`

### debug

    public void debug(Object message,
                      Throwable t)

  Specified by:
    `debug` in class `Logger`

### isTraceEnabled

    public boolean isTraceEnabled()

  Specified by:
    `isTraceEnabled` in class `Logger`

### trace

    public void trace(Object message,
                      Throwable t)

  Specified by:
    `trace` in class `Logger`

### trace

    public void trace(Object message)

  Specified by:
    `trace` in class `Logger`

### isInfoEnabled

    public boolean isInfoEnabled()

  Specified by:
    `isInfoEnabled` in class `Logger`

### info

    public void info(Object message)

  Specified by:
    `info` in class `Logger`

### info

    public void info(Object message,
                     Throwable t)

  Specified by:
    `info` in class `Logger`

### isWarnEnabled

    public boolean isWarnEnabled()

  Specified by:
    `isWarnEnabled` in class `Logger`

### warn

    public void warn(Object message)

  Specified by:
    `warn` in class `Logger`

### warn

    public void warn(Object message,
                     Throwable t)

  Specified by:
    `warn` in class `Logger`

### isErrorEnabled

    public boolean isErrorEnabled()

  Specified by:
    `isErrorEnabled` in class `Logger`

### error

    public void error(Object message)

  Specified by:
    `error` in class `Logger`

### error

    public void error(Object message,
                      Throwable t)

  Specified by:
    `error` in class `Logger`

### isFatalEnabled

    public boolean isFatalEnabled()

  Specified by:
    `isFatalEnabled` in class `Logger`

### fatal

    public void fatal(Object message)

  Specified by:
    `fatal` in class `Logger`

### fatal

    public void fatal(Object message,
                      Throwable t)

  Specified by:
    `fatal` in class `Logger`

Copyright © 2001-2010. All Rights Reserved.